<?php
/**
 * Defines the path for required files and registers Custom Controls.
 * 
 * @package Purenote
*/

// Load/Register control radio image.
require_once get_template_directory() . '/inc/customizer/custom-controls/radio-image/class-radio-image-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Radio_Image' );

// Load/Register control toggle.
require_once get_template_directory() . '/inc/customizer/custom-controls/toggle/class-toggle-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Toggle' );

// Load/Register control repeater.
require_once get_template_directory() . '/inc/customizer/custom-controls/repeater/class-repeater-control.php';

// Load/Register control tabs.
require_once get_template_directory() . '/inc/customizer/custom-controls/tabs/class-tabs-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Tabs' );

// Load/Register control heading toggle.
require_once get_template_directory() . '/inc/customizer/custom-controls/heading-toggle/class-heading-toggle-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Heading_Toggle' );

// Load/Register control radio buttonset.
require_once get_template_directory() . '/inc/customizer/custom-controls/buttonset/class-buttonset-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Buttonset' );

// Load/Register control dropdown categories.
require_once get_template_directory() . '/inc/customizer/custom-controls/dropdown-categories/class-dropdown-categories-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Dropdown_Categories' );

// Load/Register control radio icons.
require_once get_template_directory() . '/inc/customizer/custom-controls/radio-icons/class-radio-icons-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Radio_Icons' );

// Load/Register control heading.
require_once get_template_directory() . '/inc/customizer/custom-controls/heading/class-heading-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Heading' );

// Load/Register control typography.
require_once get_template_directory() . '/inc/customizer/custom-controls/typography/class-typography-control.php';
$wp_customize->register_control_type( 'Purenote_Control_Typography' );

require_once get_template_directory() . '/inc/customizer/custom-controls/basic/class-basic-customize-control.php';